# OpalT140RTPFrame Class Reference

`#include <t140.h>`

Inheritance diagram for OpalT140RTPFrame:

[legend]
Collaboration diagram for OpalT140RTPFrame:
[legend]

## Public Member Functions

| OpalT140RTPFrame ()
| OpalT140RTPFrame (const PString &contentType)
| OpalT140RTPFrame (const PString &contentType, const T140String &content)
| OpalT140RTPFrame (const BYTE *data, PINDEX len, PBoolean dynamic=true)
| OpalT140RTPFrame (const RTP_DataFrame &frame)
void | SetContentType (const PString &contentType)
PString | GetContentType () const
void | SetContent (const T140String &text)
bool | GetContent (T140String &text) const
bool | GetContent (PString &str) const
PString | AsString () const

## Detailed Description

Packet for carrying RFC 4103 (T.140) instant message over RTP

## Constructor & Destructor Documentation

OpalT140RTPFrame::OpalT140RTPFrame | ( |  | ) |

OpalT140RTPFrame::OpalT140RTPFrame | ( | const PString & | contentType | ) |

OpalT140RTPFrame::OpalT140RTPFrame | ( | const PString & | contentType,
|  | const T140String & | content |
| ) |  |  |

OpalT140RTPFrame::OpalT140RTPFrame | ( | const BYTE * | data,
|  | PINDEX | len,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

OpalT140RTPFrame::OpalT140RTPFrame | ( | const RTP_DataFrame & | frame | ) |

## Member Function Documentation

PString OpalT140RTPFrame::AsString | ( |  | ) | const`[inline]`

bool OpalT140RTPFrame::GetContent | ( | PString & | str | ) | const

bool OpalT140RTPFrame::GetContent | ( | T140String & | text | ) | const

PString OpalT140RTPFrame::GetContentType | ( |  | ) | const

void OpalT140RTPFrame::SetContent | ( | const T140String & | text | ) |

void OpalT140RTPFrame::SetContentType | ( | const PString & | contentType | ) |

The documentation for this class was generated from the following file:

- t140.h